Description

It would be nice if we could change default QGIS options. 

For example, the default font used by QGIS composer on my system is ubuntu. I'd like to change that.

Another point, I'd like when creating an object, to have no border!

A user option file (like in scite editor for example), would be worth value.

Here is the basic idea. It should, fore sure, be adapted since I do not know how QGIS configuration options are stored, now.

composer.default_font = 'Arial';

composer.default_object.border.width = 0; 

That come from gis.stackexchange : http://gis.stackexchange.com/questions/21845/modify-default-options-in-qgis

History

#1 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#2 - 2012-10-06 02:18 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2014-05-17 11:33 PM - Nyall Dawson

Default composer font is configurable in QGIS 2.2 - partly implements this request.

#4 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
